- [HTTP request](https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/remittanceStatementNotification#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/remittanceStatementNotification#body.request_body)
  - [JSON representation](https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/remittanceStatementNotification#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/remittanceStatementNotification#body.response_body)
- [RemittanceStatementSummary](https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/remittanceStatementNotification#RemittanceStatementSummary)
  - [JSON representation](https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/remittanceStatementNotification#RemittanceStatementSummary.SCHEMA_REPRESENTATION)
- [BillingPeriod](https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/remittanceStatementNotification#BillingPeriod)
  - [JSON representation](https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/remittanceStatementNotification#BillingPeriod.SCHEMA_REPRESENTATION)
- [RemittanceStatementNotificationResponse](https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/remittanceStatementNotification#RemittanceStatementNotificationResponse)
  - [JSON representation](https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/remittanceStatementNotification#RemittanceStatementNotificationResponse.SCHEMA_REPRESENTATION)
- [StatementNotificationResult](https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/remittanceStatementNotification#StatementNotificationResult)
  - [JSON representation](https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/remittanceStatementNotification#StatementNotificationResult.SCHEMA_REPRESENTATION)

Notifies the integrator of a new remittance statement.

Statement notifications occur every time a new statement is raised that represents money that Google will pay the integrator or the money that the integrator owes Google.

If the integrator returns a success, then it acknowledges receipt of the statement.

The `requestId` is also the statement Id (used elsewhere). The `requestId` within the header is the idempotency key and uniquely identifies this statement.

If the endpoint encounters an error while processing the request, the response body from this endpoint should be of type `https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/ErrorResponse`.

An example request looks like:


    {
      "requestHeader": {
        "protocolVersion": {
          "major": 2
        },
        "requestId": "0123434-statement-abc",
        "requestTimestamp": {
          "epochMillis": "1502632800000"
        },
        "paymentIntegratorAccountId": "InvisiCashUSA_USD"
      },
      "remittanceStatementSummary": {
        "statementDate": {
          "epochMillis": "1502521200000"
        },
        "billingPeriod": {
          "startDate": {
            "epochMillis": "1502434800000"
          },
          "endDate": {
            "epochMillis": "1502434800000"
          }
        },
        "dateDue": {
          "epochMillis": "1502348400000"
        },
        "totalDueByIntegrator": {
          "amountMicros": "1076000000",
          "currencyCode": "INR"
        },
        "totalProcessedAmount": {
          "amountMicros": "1669000000",
          "currencyCode": "INR"
        },
        "totalFeesAmount": {
          "amountMicros": "100000000",
          "currencyCode": "INR"
        },
        "totalDirectTaxAmount": {
          "amountMicros": "100000",
          "currencyCode": "INR"
        },
        "totalWithholdingTaxAmount": {
          "amountMicros": "-1000000",
          "currencyCode": "INR"
        },
        "totalPresentmentAmounts": [
          {
            "amountMicros": "1669000000",
            "currencyCode": "INR"
          }
        ],
        "totalEvents": 15
      }
    }

An example response looks like:


    {
      "responseHeader": {
        "responseTimestamp": {
          "epochMillis": "1502632802000"
        }
      },
      "result": {
        "accepted": {}
      }
    }

### HTTP request

`POST https://www.integratorhost.example.com/integrator-base-path/refundable-one-time-payment-code-v2/remittanceStatementNotification`

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requestHeader": { object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/RequestHeader`) }, "remittanceStatementSummary": { object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/remittanceStatementNotification#RemittanceStatementSummary`) } } ``` |

| Fields ||
|---|---|
| `requestHeader` | ``object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/RequestHeader`)`` **REQUIRED**: Common header for all requests. |
| `remittanceStatementSummary` | ``object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/remittanceStatementNotification#RemittanceStatementSummary`)`` **REQUIRED**: Summary of this remittance statement. |

### Response body

This method supports multiple return types. For additional information about what 4XX or 5XX HTTP status code to return with an `ErrorResponse`, consult the `ErrorResponse` object and [HTTP status codes documentation](https://developers.google.com/pay/refundable-one-time-payment-code-v2/guides/connectivity/protocol-standards#http_status_codes).

| Possible response messages ||
|---|---|
| HTTP 200 Status | ``object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/remittanceStatementNotification#RemittanceStatementNotificationResponse`)`` |
| HTTP 4XX / 5XX Status | ``object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/ErrorResponse`)`` |
| End of mutually exclusive fields. ||

## RemittanceStatementSummary

Summary object about a remittance statement.

| JSON representation |
|---|
| ``` { "statementDate": { object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/Timestamp`) }, "billingPeriod": { object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/remittanceStatementNotification#BillingPeriod`) }, "dateDue": { object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/Timestamp`) }, "totalDueByIntegrator": { object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/Amount`) }, "totalEvents": integer, "totalProcessedAmount": { object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/Amount`) }, "totalDirectTaxAmount": { object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/Amount`) }, "totalFeesAmount": { object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/Amount`) }, "totalWithholdingTaxAmount": { object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/Amount`) }, "totalPresentmentAmounts": [ { object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/Amount`) } ] } ``` |

| Fields ||
|---|---|
| `statementDate` | ``object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/Timestamp`)`` **REQUIRED**: Date (in America/Los Angeles) that this statement was created. |
| `billingPeriod` | ``object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/remittanceStatementNotification#BillingPeriod`)`` **REQUIRED**: The billing period this statement covers. |
| `dateDue` | ``object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/Timestamp`)`` **OPTIONAL**: The date that the remittance is due. This is represented as a Timestamp. It is a date (and therefore will always start at the first millisecond of the day in the billing timezone). This is set as long as the `totalDueByIntegrator` is greater than 0. |
| `totalDueByIntegrator` | ``object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/Amount`)`` **REQUIRED**: This value is always positive. |
| `totalEvents` | `integer` **REQUIRED**: Total number of events in this statement. |
| `totalProcessedAmount` | ``object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/Amount`)`` **TO_BE_REQUIRED**: This value is the sum of all the event charges in this statement. |
| `totalDirectTaxAmount` | ``object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/Amount`)`` **OPTIONAL**: This value is the sum of all direct taxes applied to all events in this statement. This value is populated for integrators on a contractual basis. |
| `totalFeesAmount` | ``object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/Amount`)`` **TO_BE_REQUIRED**: This value is the sum of all fees applied for all events in this statement. |
| `totalWithholdingTaxAmount` | ``object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/Amount`)`` **OPTIONAL**: This value is the total withholding tax applied for this statement. This value is populated for integrators on a contractual basis. |
| `totalPresentmentAmounts[]` | ``object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/Amount`)`` **REQUIRED**: These are the total amounts presented to the customer. There will be one entry for each presentment currency. |

## BillingPeriod

Billing period of this statement.

| JSON representation |
|---|
| ``` { "startDate": { object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/Timestamp`) }, "endDate": { object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/Timestamp`) } } ``` |

| Fields ||
|---|---|
| `startDate` | ``object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/Timestamp`)`` **REQUIRED**: The start date of the billing period. This is represented as a Timestamp. It is a date (and therefore will always start at the first millisecond of the day in the billing timezone). This is the first millisecond of the day of the billing period, 00:00:00.000 |
| `endDate` | ``object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/Timestamp`)`` **REQUIRED**: The end date of the billing period. This is represented as a Timestamp. This is the last millisecond of the last day of the billing period, 23:59:59.999 |

## RemittanceStatementNotificationResponse

Response object for the remittance statement notification method.

| JSON representation |
|---|
| ``` { "responseHeader": { object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/ResponseHeader`) }, "result": { object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/remittanceStatementNotification#StatementNotificationResult`) } } ``` |

| Fields ||
|---|---|
| `responseHeader` | ``object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/ResponseHeader`)`` **REQUIRED**: Common header for all responses. |
| `result` | ``object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/remittanceStatementNotification#StatementNotificationResult`)`` **REQUIRED**: Result of this statement notification. |

## StatementNotificationResult

Result of this statement notification.

| JSON representation |
|---|
| ``` { // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "accepted": { object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/Empty`) } // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| **REQUIRED**: The result of this statement notification. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `accepted` | ``object (`https://developers.google.com/pay/refundable-one-time-payment-code-v2/payment-integrator-refundable-one-time-payment-code-api/Empty`)`` Integrator acknowledges receipt of this notification. |
| End of mutually exclusive fields. ||